Page MenuHomePhabricator

Error: 1054 Unknown column 'workflow_user_id' in 'where clause' during global merge
Closed, ResolvedPublic

Description

On beta:

2014-12-12 08:05:04 deployment-jobrunner01 metawiki: [82084b7c] [no req] DBQueryError from line 1242 of /srv/mediawiki/php-master/includes/db/Database.php: A database erro
r has occurred. Did you forget to run maintenance/update.php after upgrading? See: https://www.mediawiki.org/wiki/Manual:Upgrading#Run_the_update_script
Query: UPDATE flow_workflow SET workflow_user_id = '1290' WHERE workflow_user_id = '1289'
Function: MergeUser::mergeDatabaseTables
Error: 1054 Unknown column 'workflow_user_id' in 'where clause' (10.68.16.193)

#0 /srv/mediawiki/php-master/includes/db/Database.php(1198): DatabaseBase->reportQueryError('Unknown column ...', 1054, 'UPDATE `flow_w...', 'MergeUser::merg...', false)
#1 /srv/mediawiki/php-master/includes/db/Database.php(2103): DatabaseBase->query('UPDATE `flow_w...', 'MergeUser::merg...')
#2 /srv/mediawiki/php-master/extensions/UserMerge/MergeUser.php(224): DatabaseBase->update('flow_workflow', Array, Array, 'MergeUser::merg...', Array)
#3 /srv/mediawiki/php-master/extensions/UserMerge/MergeUser.php(31): MergeUser->mergeDatabaseTables()
#4 /srv/mediawiki/php-master/extensions/CentralAuth/includes/LocalRenameJob/LocalUserMergeJob.php(36): MergeUser->merge(Object(User))
#5 /srv/mediawiki/php-master/extensions/CentralAuth/includes/LocalRenameJob/LocalRenameJob.php(17): LocalUserMergeJob->doRun()
#6 /srv/mediawiki/php-master/includes/jobqueue/JobRunner.php(136): LocalRenameJob->run()
#7 /srv/mediawiki/php-master/maintenance/runJobs.php(80): JobRunner->run(Array)
#8 /srv/mediawiki/php-master/maintenance/doMaintenance.php(101): RunJobs->execute()
#9 /srv/mediawiki/php-master/maintenance/runJobs.php(95): require_once('/srv/mediawiki/...')
#10 /srv/mediawiki/multiversion/MWScript.php(97): require_once('/srv/mediawiki/...')
#11 {main}

Did a schema change happen?

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterWorkflow no longer stores any user information

Event Timeline

Legoktm created this task.Dec 12 2014, 8:02 PM
Legoktm raised the priority of this task from to High.
Legoktm updated the task description. (Show Details)
Legoktm changed Security from none to None.
Legoktm added a subscriber: Legoktm.

Change 179536 had a related patch set uploaded (by Legoktm):
Workflow no longer stores any user information

https://gerrit.wikimedia.org/r/179536

Patch-For-Review

Keegan added a subscriber: Keegan.Dec 12 2014, 9:57 PM

Change 179536 merged by jenkins-bot:
Workflow no longer stores any user information

https://gerrit.wikimedia.org/r/179536

Legoktm closed this task as Resolved.Dec 15 2014, 6:37 PM
Legoktm claimed this task.
Legoktm reassigned this task from Legoktm to EBernhardson.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMay 5 2015, 5:50 PM